Skip to main content
GET
Retrieve tickets

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

locationRef
string<uuid>
required

The id of the location.

limit
integer<int64>
default:25

The number of items to return

Required range: 1 <= x <= 100
membershipRefRequester
string

Filter tickets by requester membership ids. Pass one UUID or multiple unique comma-separated UUIDs without spaces, e.g. id or id1,id2,id3, up to 100. The memberships must exist in the location. Admins can filter by any requester; other users only by their own membership.

nextPageToken
string

Token to retrieve the next page of results. Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

order
string

The order of the tickets. createDate:asc, createDate:desc, updateDate:asc or updateDate:desc. Default: createDate:desc

userRefAssignee
string

Filter tickets by assignee user ids. Pass one UUID or multiple unique comma-separated UUIDs without spaces, e.g. id or id1,id2,id3, up to 100. The users must exist. Only admins can filter by assignee.

Response

OK

nextPageToken
string

Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

searchQueryNext
string

Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.

tickets
object[]